Bug 230 - Exception when using "forall" in guards
Summary: Exception when using "forall" in guards
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: Engine (show other bugs)
Version: 3.6 Alpha 2
Hardware: PC All
: P1 normal
Assignee: Gerd Behrmann
URL:
Depends on:
Blocks:
 
Reported: 2005-11-29 14:31 CET by Leonid Mokrushin
Modified: 2005-12-07 14:19 CET (History)
0 users

See Also:
Architecture:


Attachments
Test case (640 bytes, text/plain)
2005-11-29 14:33 CET, Leonid Mokrushin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Mokrushin 2005-11-29 14:31:27 CET
I'm trying to use "forall" quantification on guards and I'm gettin an 
exception "Cannot normalise forall..." even though the same kind of 
functionality seems to work in location invariants.
Comment 1 Leonid Mokrushin 2005-11-29 14:33:59 CET
Created attachment 76 [details]
Test case
Comment 2 Gerd Behrmann 2005-12-01 11:07:36 CET
I have only tested forall and exists with non-clock guards, so I'm not surprised :-) I will take a look at it.
Comment 3 Gerd Behrmann 2005-12-07 14:19:25 CET
Fixed on the trunk (revision 1333).